package com.xkrs.common;

import com.xkrs.model.qo.SettingQo;
import com.xkrs.service.SettingService;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * 火点审核开关计划任务
 */
@Configuration
@EnableScheduling
public class StaticScheduleTask {

    @Resource
    private SettingService settingService;

    //早上八点打开火点审核开关
    @Scheduled(cron = "0 0 8 * * ?")
    private void openVerifySwitch() {
        SettingQo settingQo = new SettingQo();
        settingQo.setSwitchState("1");
        settingService.updateSwitchState(settingQo);
    }

    //晚上十点关闭火点审核开关
    @Scheduled(cron = "0 0 22 * * ?")
    private void closeVerifySwitch() {
        SettingQo settingQo = new SettingQo();
        settingQo.setSwitchState("0");
        settingService.updateSwitchState(settingQo);
    }
}