package com.xkrs.controller;

import com.xkrs.service.ConfigGlobalFirePointService;
import com.xkrs.service.ConfigGlobalSMSService;
import com.xkrs.service.ConfigGlobalUserService;
import org.springframework.lang.Nullable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 全局配置服务
 */
@RestController
public class ConfigGlobalController {

    @Resource
    private ConfigGlobalUserService configGlobalUserService;
    @Resource
    private ConfigGlobalFirePointService configGlobalFirePointService;
    @Resource
    private ConfigGlobalSMSService configGlobalSMSService;

    @PostMapping("/configGlobalUser")
    public String configGlobalUser(@Nullable @RequestBody Map<String, Long> configMap) {
        return configGlobalUserService.configGlobalUser(configMap);
    }

    @PostMapping("/configGlobalFirePoint")
    public String configGlobalFirePoint(@Nullable @RequestBody Map<String, Long> configMap) {
        return configGlobalFirePointService.configGlobalFirePoint(configMap);
    }

    @PostMapping("/configGlobalSMS")
    public String configGlobalSMS(@Nullable @RequestBody Map<String, Long> configMap) {
        return configGlobalSMSService.configGlobalSMS(configMap);
    }

}
