package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 短信全局配置信息
 */
@Entity
@Table(name = "config_global_sms")
public class ConfigGlobalSMSEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "config_global_sms_seq_gen")
    @SequenceGenerator(name = "config_global_sms_seq_gen", sequenceName = "config_global_sms_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 过期后能否接收短信
     * 0：不能
     * 1：能
     */
    private Long smsAbleWhenExpired;

    /**
     * 省过期前能否提前通知
     * 0：不能通知
     * 1：能够通知
     */
    private Long proAnAbleBeforeExpired;

    /**
     * 省过期前提前几天短信通知
     * 天数
     */
    private Long proAnDayBeforeExpired;

    /**
     * 市过期前能否提前通知
     * 0：不能通知
     * 1：能够通知
     */
    private Long cityAnAbleBeforeExpired;

    /**
     * 市过期前提前几天短信通知
     * 天数
     */
    private Long cityAnDayBeforeExpired;

    /**
     * 区县过期前能否提前通知
     * 0：不能通知
     * 1：能够通知
     */
    private Long countyAnAbleBeforeExpired;

    /**
     * 区县过期前提前几天短信通知
     * 天数
     */
    private Long countyAnDayBeforeExpired;

    /**
     * 街道过期前能否提前通知
     * 0：不能通知
     * 1：能够通知
     */
    private Long streetAnAbleBeforeExpired;

    /**
     * 街道过期前提前几天短信通知
     * 天数
     */
    private Long streetAnDayBeforeExpired;

    public ConfigGlobalSMSEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSmsAbleWhenExpired() {
        return smsAbleWhenExpired;
    }

    public void setSmsAbleWhenExpired(Long smsAbleWhenExpired) {
        this.smsAbleWhenExpired = smsAbleWhenExpired;
    }

    public Long getProAnAbleBeforeExpired() {
        return proAnAbleBeforeExpired;
    }

    public void setProAnAbleBeforeExpired(Long proAnAbleBeforeExpired) {
        this.proAnAbleBeforeExpired = proAnAbleBeforeExpired;
    }

    public Long getProAnDayBeforeExpired() {
        return proAnDayBeforeExpired;
    }

    public void setProAnDayBeforeExpired(Long proAnDayBeforeExpired) {
        this.proAnDayBeforeExpired = proAnDayBeforeExpired;
    }

    public Long getCityAnAbleBeforeExpired() {
        return cityAnAbleBeforeExpired;
    }

    public void setCityAnAbleBeforeExpired(Long cityAnAbleBeforeExpired) {
        this.cityAnAbleBeforeExpired = cityAnAbleBeforeExpired;
    }

    public Long getCityAnDayBeforeExpired() {
        return cityAnDayBeforeExpired;
    }

    public void setCityAnDayBeforeExpired(Long cityAnDayBeforeExpired) {
        this.cityAnDayBeforeExpired = cityAnDayBeforeExpired;
    }

    public Long getCountyAnAbleBeforeExpired() {
        return countyAnAbleBeforeExpired;
    }

    public void setCountyAnAbleBeforeExpired(Long countyAnAbleBeforeExpired) {
        this.countyAnAbleBeforeExpired = countyAnAbleBeforeExpired;
    }

    public Long getCountyAnDayBeforeExpired() {
        return countyAnDayBeforeExpired;
    }

    public void setCountyAnDayBeforeExpired(Long countyAnDayBeforeExpired) {
        this.countyAnDayBeforeExpired = countyAnDayBeforeExpired;
    }

    public Long getStreetAnAbleBeforeExpired() {
        return streetAnAbleBeforeExpired;
    }

    public void setStreetAnAbleBeforeExpired(Long streetAnAbleBeforeExpired) {
        this.streetAnAbleBeforeExpired = streetAnAbleBeforeExpired;
    }

    public Long getStreetAnDayBeforeExpired() {
        return streetAnDayBeforeExpired;
    }

    public void setStreetAnDayBeforeExpired(Long streetAnDayBeforeExpired) {
        this.streetAnDayBeforeExpired = streetAnDayBeforeExpired;
    }
}
