package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 用户全局配置信息
 */
@Entity
@Table(name = "config_global_user")
public class ConfigGlobalUserEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "config_global_user_seq_gen")
    @SequenceGenerator(name = "config_global_user_seq_gen", sequenceName = "config_global_user_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 过期后能否继续登录
     * 0：不能登录
     * 1：能够登录
     */
    private Long loginAbleWhenExpired;

    public ConfigGlobalUserEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getLoginAbleWhenExpired() {
        return loginAbleWhenExpired;
    }

    public void setLoginAbleWhenExpired(Long loginAbleWhenExpired) {
        this.loginAbleWhenExpired = loginAbleWhenExpired;
    }
}
