package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author xkrs
 */
@Entity
@Table(name = "setting")
public class SettingEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "setting_seq_gen")
    @SequenceGenerator(name = "setting_seq_gen", sequenceName = "setting_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 0：关，1：开
     */
    @Column(length = 64, columnDefinition = "varchar(64)")
    private String switchState;

    public SettingEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSwitchState() {
        return switchState;
    }

    public void setSwitchState(String switchState) {
        this.switchState = switchState;
    }

    @Override
    public String toString() {
        return "SettingEntity{" + "id=" + id + ", switchState='" + switchState + '\'' + '}';
    }
}
